function Q = excitation(y,u,nn,nd)
% CovMatrix = excitation(out,in,numDeg,denDeg)
% Full covariance matrix for LS identification.
% The operator is the advance operator.
% At that time, SISO systems only.

if size(y) ~= size(u);
	break;
end;

l = length(y);
z = zeros(l-nd,nn+nd+2);
for i=1:nd+1;
	z(:,i) = y(nd-i+2:l-i+1);
end;
for i=2:nn+2;
	z(:,nd+i) = u(nn-i+3:l+nn-nd-i+2);
end;
m = mean(z);
c = cov(z);
Q = c+m'*m;
