function [Zt,Pt,Gs] = zp2tc(Z,P,K)
% [ZerTC,PolTC,Static] = zp2tc(Zer,Pol,HFgain) 
% Continuous time conversion from 
% zero/poles to time constants.
Zt = 1 ./Z;
Pt = 1 ./P;
Gs = (K*prod(-Z))/prod(-P);
